Bug 224141 - problems by suspend after a resume from suspend
problems by suspend after a resume from suspend
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
6
x86_64 Linux
medium Severity high
: ---
: ---
Assigned To: Kernel Maintainer List
Brian Brock
:
Depends On:
Blocks: 427887
  Show dependency treegraph
 
Reported: 2007-01-24 07:53 EST by Cristian Oancea
Modified: 2008-02-07 23:24 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-02-07 23:24:53 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Cristian Oancea 2007-01-24 07:53:06 EST
Description of problem:

After a resume from suspend to ram the computer doesn't resume. 

Version-Release number of selected component (if applicable):
Linux localhost.localdomain 2.6.19-1.2895.fc6 #1 SMP Wed Jan 10 18:50:56 EST
2007 x86_64 x86_64 x86_64 GNU/Linux

How reproducible:


Steps to Reproduce:
1. start the system
2. suspend to ram 
3. resume
4. suspend to ram
  
Actual results:

Computer does'nt go into suspend mode , hangs

Expected results:

Computer goes into suspend mode.

Additional info:
logs:
Jan 24 13:33:18 localhost gnome-power-manager: (loancea) Suspending computer
because the DBUS method Suspend() was invoked
Jan 24 13:33:18 localhost NetworkManager: <information>	Going to sleep. 
Jan 24 13:33:21 localhost hidd[3792]: Exit
Jan 24 13:33:21 localhost sdpd[3779]: terminating...   
Jan 24 13:33:21 localhost hcid[3775]: Unregister path:/org/bluez
Jan 24 13:33:21 localhost hcid[3775]: Exit
Jan 24 13:33:21 localhost kernel: NET: Unregistered protocol family 31
Jan 24 13:33:24 localhost kernel: Disabling non-boot CPUs ...
Jan 24 13:33:24 localhost kernel: CPU 1 is now offline
Jan 24 13:33:24 localhost kernel: SMP alternatives: switching to UP code
Jan 24 13:33:24 localhost kernel: Unable to handle kernel NULL pointer
dereference at 0000000000000000 RIP: 
Jan 24 13:33:24 localhost kernel:  [<ffffffff802bf6ed>] __drain_pages+0x20/0x60
Jan 24 13:33:24 localhost kernel: PGD 5dd32067 PUD 5dfd4067 PMD 0 
Jan 24 13:33:24 localhost kernel: Oops: 0000 [1] SMP 
Jan 24 13:33:24 localhost kernel: last sysfs file: /power/state
Jan 24 13:33:24 localhost kernel: CPU 0 
Jan 24 13:33:24 localhost kernel: Modules linked in: cpufreq_ondemand nls_utf8
ntfs(U) dm_mirror dm_multipath dm_mod video sbs ibm_acpi i2c_ec dock battery
asus_acpi ac fglrx(P)(U) ipv6 parport_pc lp parport snd_hda_intel snd_hda_codec
snd_seq_dummy snd_seq_oss ata_piix snd_seq_midi_event snd_seq snd_seq_device
snd_pcm_oss snd_mixer_oss ide_cd sg snd_pcm joydev snd_timer nsc_ircc iTCO_wdt
cdrom snd i2c_i801 ipw3945(F)(U) shpchp i2c_core pcspkr irda ieee80211(F)(U)
serio_raw e1000 soundcore snd_page_alloc ieee80211_crypt(F)(U) crc_ccitt ahci
libata sd_mod scsi_mod ext3 jbd ehci_hcd ohci_hcd uhci_hcd
Jan 24 13:33:24 localhost kernel: Pid: 3950, comm: pm-suspend Tainted: PF    
2.6.19-1.2895.fc6 #1
Jan 24 13:33:24 localhost kernel: RIP: 0010:[<ffffffff802bf6ed>] 
[<ffffffff802bf6ed>] __drain_pages+0x20/0x60
Jan 24 13:33:24 localhost kernel: RSP: 0018:ffff81005d9fddc8  EFLAGS: 00010046
Jan 24 13:33:24 localhost kernel: RAX: 0000000000000001 RBX: 0000000000000046
RCX: ffff810001000000
Jan 24 13:33:24 localhost kernel: RDX: ffff81000000c000 RSI: ffff81000000c768
RDI: ffff81000000c500
Jan 24 13:33:24 localhost kernel: RBP: 0000000000000000 R08: ffff81005d9fc000
R09: 0000000000000000
Jan 24 13:33:24 localhost kernel: R10: ffff81000304fbe0 R11: ffffffff802f9d55
R12: ffff81000000ca00
Jan 24 13:33:24 localhost kernel: R13: 0000000000000000 R14: 0000000000000001
R15: 00002aaaae1cb000
Jan 24 13:33:24 localhost kernel: FS:  00002aaaaaabfdb0(0000)
GS:ffffffff8064d000(0000) knlGS:0000000000000000
Jan 24 13:33:24 localhost kernel: CS:  0010 DS: 0000 ES: 0000 CR0: 000000008005003b
Jan 24 13:33:24 localhost kernel: CR2: 0000000000000000 CR3: 000000005d9f8000
CR4: 00000000000006e0
Jan 24 13:33:24 localhost kernel: Process pm-suspend (pid: 3950, threadinfo
ffff81005d9fc000, task ffff810066ed6830)
Jan 24 13:33:24 localhost kernel: Stack:  0000000000000001 0000000000000001
0000000000000007 ffff81007f006040
Jan 24 13:33:24 localhost kernel:  0000000000000001 ffffffff802bf73f
ffffffff80577810 ffffffff80265081
Jan 24 13:33:24 localhost kernel:  0000000000000001 0000000000000001
0000000000000000 ffffffff802a18aa
Jan 24 13:33:24 localhost kernel: Call Trace:
Jan 24 13:33:24 localhost kernel:  [<ffffffff802bf73f>]
page_alloc_cpu_notify+0x12/0x28
Jan 24 13:33:24 localhost kernel:  [<ffffffff80265081>]
notifier_call_chain+0x20/0x32
Jan 24 13:33:24 localhost kernel:  [<ffffffff802a18aa>] _cpu_down+0x15b/0x217
Jan 24 13:33:24 localhost kernel:  [<ffffffff802a1ba5>]
disable_nonboot_cpus+0xa9/0x14c
Jan 24 13:33:24 localhost kernel:  [<ffffffff802a78d5>] enter_state+0x8b/0x1a1
Jan 24 13:33:24 localhost kernel:  [<ffffffff802a7a49>] state_store+0x5e/0x79
Jan 24 13:33:24 localhost kernel:  [<ffffffff80300cb4>] sysfs_write_file+0xcb/0xff
Jan 24 13:33:24 localhost kernel:  [<ffffffff80216582>] vfs_write+0xce/0x174
Jan 24 13:33:24 localhost kernel:  [<ffffffff80216fb3>] sys_write+0x45/0x6e
Jan 24 13:33:24 localhost kernel:  [<ffffffff8025c11e>] system_call+0x7e/0x83
Jan 24 13:33:24 localhost kernel:  [<000000398fcbfc00>]
Jan 24 13:33:24 localhost kernel: 
Jan 24 13:33:24 localhost kernel: 
Jan 24 13:33:24 localhost kernel: Code: 8b 75 00 48 8d 55 10 31 c9 4c 89 e7 e8
e4 fd ff ff c7 45 00 
Jan 24 13:33:24 localhost kernel: RIP  [<ffffffff802bf6ed>] __drain_pages+0x20/0x60
Jan 24 13:33:24 localhost kernel:  RSP <ffff81005d9fddc8>
Jan 24 13:33:24 localhost kernel: CR2: 0000000000000000
Jan 24 13:33:24 localhost kernel:  <3>BUG: sleeping function called from invalid
context at kernel/rwsem.c:20
Jan 24 13:33:24 localhost kernel: in_atomic():0, irqs_disabled():1
Jan 24 13:33:24 localhost kernel: 
Jan 24 13:33:24 localhost kernel: Call Trace:
Jan 24 13:33:24 localhost gnome-power-manager: (loancea) Resuming computer
Jan 24 13:33:24 localhost kernel:  [<ffffffff8026999a>] show_trace+0x34/0x47
Jan 24 13:33:24 localhost NetworkManager: <information>	Waking up from sleep. 
Jan 24 13:33:24 localhost gnome-power-manager: (loancea) Screen dim because idle
mode started
Jan 24 13:33:24 localhost kernel:  [<ffffffff802699bf>] dump_stack+0x12/0x17
Jan 24 13:33:24 localhost NetworkManager: <information>	Deactivating device eth1. 
Jan 24 13:33:24 localhost kernel:  [<ffffffff8029e5fb>] down_read+0x15/0x23
Jan 24 13:33:24 localhost kernel:  [<ffffffff8029661a>]
blocking_notifier_call_chain+0x13/0x36
Jan 24 13:33:24 localhost kernel:  [<ffffffff80215050>] do_exit+0x1f/0x8df
Jan 24 13:33:24 localhost kernel:  [<ffffffff80264fe6>] do_page_fault+0x7a1/0x81c
Jan 24 13:33:24 localhost kernel:  [<ffffffff8026307d>] error_exit+0x0/0x84
Jan 24 13:33:24 localhost kernel:  [<ffffffff802bf6ed>] __drain_pages+0x20/0x60
Jan 24 13:33:24 localhost kernel:  [<ffffffff802bf73f>]
page_alloc_cpu_notify+0x12/0x28
Jan 24 13:33:24 localhost kernel:  [<ffffffff80265081>]
notifier_call_chain+0x20/0x32
Jan 24 13:33:24 localhost kernel:  [<ffffffff802a18aa>] _cpu_down+0x15b/0x217
Jan 24 13:33:24 localhost kernel:  [<ffffffff802a1ba5>]
disable_nonboot_cpus+0xa9/0x14c
Jan 24 13:33:24 localhost kernel:  [<ffffffff802a78d5>] enter_state+0x8b/0x1a1
Jan 24 13:33:24 localhost NetworkManager: <information>	eth1: Device is
fully-supported using driver 'e1000'. 
Jan 24 13:33:24 localhost kernel:  [<ffffffff802a7a49>] state_store+0x5e/0x79
Jan 24 13:33:24 localhost NetworkManager: <information>	nm_device_init():
waiting for device's worker thread to start 
Jan 24 13:33:24 localhost kernel:  [<ffffffff80300cb4>] sysfs_write_file+0xcb/0xff
Jan 24 13:33:24 localhost NetworkManager: <information>	nm_device_init():
device's worker thread started, continuing. 
Jan 24 13:33:24 localhost kernel:  [<ffffffff80216582>] vfs_write+0xce/0x174
Jan 24 13:33:24 localhost NetworkManager: <information>	Now managing wired
Ethernet (802.3) device 'eth1'. 
Jan 24 13:33:24 localhost kernel:  [<ffffffff80216fb3>] sys_write+0x45/0x6e
Jan 24 13:33:24 localhost NetworkManager: <information>	Deactivating device eth1. 
Jan 24 13:33:24 localhost kernel:  [<ffffffff8025c11e>] system_call+0x7e/0x83
Jan 24 13:33:24 localhost NetworkManager: <information>	Will activate wired
connection 'eth1' because it now has a link. 
Jan 24 13:33:24 localhost kernel:  [<000000398fcbfc00>]
Jan 24 13:33:24 localhost kernel:
Comment 1 Jon Stanley 2008-01-07 20:52:07 EST
(This is a mass-update to all current FC6 kernel bugs in NEW state)

Hello,

I'm reviewing this bug list as part of the kernel bug triage project, an attempt
to isolate current bugs in the Fedora kernel.

http://fedoraproject.org/wiki/KernelBugTriage

I am CC'ing myself to this bug, however this version of Fedora is no longer
maintained.

Please attempt to reproduce this bug with a current version of Fedora (presently
Fedora 8). If the bug no longer exists, please close the bug or I'll do so in a
few days if there is no further information lodged.

Thanks for using Fedora!
Comment 2 Jon Stanley 2008-02-07 23:24:53 EST
Per the previous comment in this bug, I am closing it as INSUFFICIENT_DATA,
since no information has been lodged for over 30 days.

Please re-open this bug or file a new one if you can provide the requested data,
and thanks for filing the original report!

Note You need to log in before you can comment on or make changes to this bug.